{{- if .Values.dataintegration.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "cmem.servicename-di" . }}
  labels:
    {{- include "cmem.labels-di" . | nindent 4 }}
spec:
  type: {{ .Values.dataintegration.service.type }}
  ports:
    - port: {{ .Values.dataintegration.service.port }}
      targetPort: {{ .Values.dataintegration.service.port }}
      protocol: TCP
      name: http
  selector:
    {{- include "cmem.selectorLabels-di" . | nindent 4 }}
{{ end -}}
